<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    <f:view  >
        <h:head >
            <f:facet name="first" >
                <meta content='text/html; charset=UTF-8' http-equiv="Content-Type"/>
                <link rel="stylesheet" type="text/css" href="Recursos/Css/general.css" />
                <link rel="stylesheet" type="text/css" href="Recursos/Banner/engine1/style.css" media="screen" />
                <script type="text/javascript" src="Recursos/Banner/engine1/jquery.js"></script>
                <title>Gestor de ambientes SENA</title>
            </f:facet>
        </h:head>

        <h:body>

            <div class="cubierta">
<p:growl id="growl" life="9000" autoUpdate="true"/>
                <p:layout style="height: 1300px; padding: 0; margin: 0;">

                    <p:layoutUnit position="north" size="150" resizable="true" closable="true" rendered="#{loggin.activa}" collapsible="true" >
                        <ui:include src="/componentes/menuregistro.xhtml" />
                    </p:layoutUnit>

                    <p:layoutUnit position="north" size="205" resizable="true" closable="true" rendered="#{!loggin.activa}" collapsible="true" >
                        <ui:include src="/componentes/menugeneral.xhtml" />
                    </p:layoutUnit>

                    <p:layoutUnit position="south" size="140" closable="true" collapsible="true">
                        <ui:include src="/componentes/piePagina.xhtml" />
                    </p:layoutUnit>

                    <p:layoutUnit position="east" size="270" header="Sesión Iniciada" rendered="#{loggin.activa}" collapsible="true" >
                        <ui:include src="/web/usuarios/perfil.xhtml" class="iniciarsesion"/>

                    </p:layoutUnit>
                    <p:layoutUnit position="east" size="270" header="Sesión Iniciada" rendered="#{!loggin.activa}" collapsible="true" >
                         <ui:include src="/web/usuarios/iniciarSesion.xhtml" />

                    </p:layoutUnit>

                    <p:layoutUnit position="center" header="Contáctenos">
                        <br/>
                        <br/>
                        <h:form prependId="false">  

                            <h:panelGrid columns="4" style="width:100%; padding: 2px;"  >
                                <f:facet name="header">
                                   Gestor de ambientes SENA
                                    
                                </f:facet>    
                                <h:outputText value="Dirección:" />
                                <h:outputText value="Cra 27 Calle 9 Ciudad Universitaria" />
                                <h:outputText value="Indicativos Telefónicos:" />
                                <h:outputText value="037" />
                                <h:outputText value="Bucaramanga-Santander-Colombia	Ciudad: " />
                                <h:outputText value="7" />
                                <h:outputText value="PBX" />
                                <h:outputText value="6344000" />


                            </h:panelGrid> 
                        </h:form>  

                        <p:messages id="msgs" />  
                        <br/>
                        <br/>
                         
                        <h:form id="tablaUsrAdmins" class="tablaPostula" prependId="false" >  

                            <p:dataTable sortMode="multiple" var="usuariosAdmin" paginatorPosition="bottom" value="#{usuariosController.usr_admin_list}" widgetVar="contactos" emptyMessage="La página no tiene administradores actualmente" paginator="true" rows="10">  
                                <f:facet name="header">
                                    <h:outputText value="Administradores"  />
                                </f:facet>
                                <p:column style="width:25%" headerText="Imágen de Perfil">  
                                    <p:graphicImage value="/Recursos/Imagenes/perfil/#{usuariosAdmin.usrFoto}" width="170" height="200"/>  
                                </p:column>  

                                <p:column id="nombre" style="width:20px"  headerText="Nombres" filterValue="#{usuariosAdmin.usrNombre}"
                                          filterMatchMode="contains" sortBy="#{usuariosAdmin.usrNombre}" filterBy="#{usuariosAdmin.usrNombre}" > 

                                    <h:outputText value="#{usuariosAdmin.usrNombre}" />  


                                </p:column> 


                                <p:column id="apellido"  style="width:40px" filterBy="#{usuariosAdmin.usrApellido}"   


                                          headerText="Apellidos"   filterMatchMode="contains" sortBy="#{usuariosAdmin.usrApellido}" >  
                                    <h:outputText value="#{usuariosAdmin.usrApellido}" />  
                                </p:column> 

                                <p:column id="email" style="width:20px" filterBy="#{usuariosAdmin.usrEmail}"   
                                          headerText="E-Mail"   filterMatchMode="contains" sortBy="#{usuariosAdmin.usrEmail}">  

                                    <h:outputText value="#{usuariosAdmin.usrEmail}" />  
                                </p:column>  

                                


                            </p:dataTable>  


                        </h:form>  
                    </p:layoutUnit>
                </p:layout>
            </div>

        </h:body>
    </f:view>
</html>

